import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 5;
const eyeOffsetX = 90;
const eyeOffsetY = 100;
const eyeRadius = 25;
const noseRadius = 100;
const noseRadius1 = 12;
const noseOffsetX = 23;
const noseOffsetY = 10;
const earRadius = 40
const earOffsetX = 200;
const earOffsetY = 210;
const mouthWidth = 20;
const mouthRadius = 140;
const faceColor = "plum";
const accentColor = "black";

const mouthArc = arc()
	.innerRadius(mouthRadius)
	.outerRadius(mouthRadius + mouthWidth - 17)
	.startAngle(1.8)
	.endAngle(4.5);

const App = () => (
      	<svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>		
    <circle
          r={centerY - strokeWidth / 2}
          fill={faceColor}
          stroke={accentColor}
					stroke-width={strokeWidth}
        />
				<circle
        	cx={-eyeOffsetX}
          cy={-eyeOffsetY}
          r={eyeRadius}
          fill={accentColor}
        />
				<circle
        	cx={eyeOffsetX}
          cy={-eyeOffsetY}
          r={eyeRadius}
          fill={accentColor}
        />
    		<path
          d={mouthArc()}
          fill = {accentColor}
        />
      <ellipse
        rx={noseRadius/2}
        ry={noseRadius/2}
        fill = "plum"
        stroke = "black"
        stroke-width={strokeWidth-3}
      />
      <circle
        	cx={noseOffsetX}
          cy={-noseOffsetY}
          r={noseRadius1}
          fill= "purple"
          stroke = "black"
        />
      <circle
        	cx={-noseOffsetX}
          cy={-noseOffsetY}
          r={noseRadius1}
          fill= "purple"
          stroke = "black"
        />
      <circle
        	cx={earOffsetX}
          cy={-earOffsetY}
          r={earRadius}
          fill= "purple"
          stroke = "black"
        stroke-width={strokeWidth}
        />
      <circle
        	cx={-earOffsetX}
          cy={-earOffsetY}
          r={earRadius}
          fill= "purple"
          stroke = "black"
        stroke-width={strokeWidth}
        />
    	</g>
      </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);